ps_mllr_s Struct Reference

Feature space linear transform structure. More...

`#include <acmod.h>`

## Data Fields

int | refcnt
| Reference count. More...
int | n_class
| Number of MLLR classes. More...
int | n_feat
| Number of feature streams. More...
int * | veclen
| Length of input vectors for each stream. More...
float32 **** | A
| Rotation part of mean transformations. More...
float32 *** | b
| Bias part of mean transformations. More...
float32 *** | h
| Diagonal transformation of variances. More...
int32 * | cb2mllr
| Mapping from codebooks to transformations. More...

## Detailed Description

Feature space linear transform structure.

Definition at line 82 of file acmod.h.

## Field Documentation

float32**** ps_mllr_s::A

Rotation part of mean transformations.

Definition at line 87 of file acmod.h.

Referenced by gauden_mllr_transform(), ps_mllr_free(), and ps_mllr_read().

float32*** ps_mllr_s::b

Bias part of mean transformations.

Definition at line 88 of file acmod.h.

Referenced by gauden_mllr_transform(), ps_mllr_free(), and ps_mllr_read().

int32* ps_mllr_s::cb2mllr

Mapping from codebooks to transformations.

Definition at line 90 of file acmod.h.

float32*** ps_mllr_s::h

Diagonal transformation of variances.

Definition at line 89 of file acmod.h.

Referenced by gauden_mllr_transform(), ps_mllr_free(), and ps_mllr_read().

int ps_mllr_s::n_class

Number of MLLR classes.

Definition at line 84 of file acmod.h.

Referenced by ps_mllr_read().

int ps_mllr_s::n_feat

Number of feature streams.

Definition at line 85 of file acmod.h.

Referenced by ps_mllr_free(), and ps_mllr_read().

int ps_mllr_s::refcnt

Reference count.

Definition at line 83 of file acmod.h.

Referenced by ps_mllr_free(), ps_mllr_read(), and ps_mllr_retain().

int* ps_mllr_s::veclen

Length of input vectors for each stream.

Definition at line 86 of file acmod.h.

Referenced by ps_mllr_free(), and ps_mllr_read().

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/acmod.h